Package org.apache.storm.daemon

## Class GrouperFactory

- java.lang.Object
- - org.apache.storm.daemon.GrouperFactory

-     public class GrouperFactory
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `GrouperFactory.AllGrouper` |
    `static class` | `GrouperFactory.BasicLoadAwareCustomStreamGrouping` | A bridge between CustomStreamGrouping and LoadAwareCustomStreamGrouping.
    `static class` | `GrouperFactory.FieldsGrouper` |
    `static class` | `GrouperFactory.GlobalGrouper` |
    `static class` | `GrouperFactory.NoneGrouper` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static LoadAwareCustomStreamGrouping` | `DIRECT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GrouperFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LoadAwareCustomStreamGrouping` | `mkGrouper​(WorkerTopologyContext context, String componentId, String streamId, Fields outFields, Grouping thriftGrouping, List<Integer> unsortedTargetTasks, Map<String,​Object> topoConf)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIRECT

          public static final LoadAwareCustomStreamGrouping DIRECT

  - ### Constructor Detail

    - #### GrouperFactory

          public GrouperFactory()

  - ### Method Detail

    - #### mkGrouper

          public static LoadAwareCustomStreamGrouping mkGrouper​(WorkerTopologyContext context,
                                                                String componentId,
                                                                String streamId,
                                                                Fields outFields,
                                                                Grouping thriftGrouping,
                                                                List<Integer> unsortedTargetTasks,
                                                                Map<String,​Object> topoConf)